Subject: Re: problem with BOINC repository and CR/LF

From: Toralf Förster <[email-masked]>
Date: Tue, 18 Dec 2012 10:55:12 +0100

On 12/18/2012 02:56 AM, Andrew Ardill wrote:
> On 18 December 2012 03:01, Toralf Förster <[email-masked]> wrote:
>> On 12/17/2012 12:38 PM, Andrew Ardill wrote:
>>> On 17 December 2012 21:23, Toralf Förster <[email-masked]> wrote:
>>>> Hello,
>>>>
>>>> I'm faced with this situation :
>>>> http://lists.ssl.berkeley.edu/mailman/private/boinc_alpha/2012-December/017371.html
>>>> and even a "git stash" doesn't help.
>>>
>>> Hi Toralf,
>>>
>>> That list is private and not visible without an account. Can you
>>> transcribe the relevant parts?
>>>
>>> Regards,
>>>
>>> Andrew Ardill
>>>
>> Oh of course :
>>
>>
>> On 12/17/2012 12:03 AM, Gianfranco Costamagna wrote:
>>> So if you have further issues with boinc feel free to look in our debian
>>> git and feel free to download appropriate patches :-)
>>>
>>> Gianfranco
>> thx
>>
>> Currently I'm struggling with a git problem of the boinc repository
>> itself and b/c I'm using git for the linux kernel tree w/o any problems
>> since eons /me wonders whether this is a BOINC-repository specific problem :
>>
>>
>> After doing the following sequence with git 1.8.0.2 :
>>
>> $> git clone git://boinc.berkeley.edu/boinc.git
>> $> cd boinc
>> $> git checkout client_release_7.0.39
>> $> git checkout master
>> (sometimes I've to repeat this :
>>         $> git checkout client_release_7.0.39
>>         $> git checkout master
>> )
>> I'm faced with this situation :
>>
>> $ git status
>> # On branch master
>> # Changes not staged for commit:
>> #   (use "git add <file>..." to update what will be committed)
>> #   (use "git checkout -- <file>..." to discard changes in working
>> directory)
>> #
>> #       modified:   clientgui/AsyncRPC.cpp
>> #       modified:   clientgui/sg_BoincSimpleFrame.cpp
>> #
>> no changes added to commit (use "git add" and/or "git commit -a")
>>
>> (sometimes only clientgui/sg_BoincSimpleFrame.cpp is mentioned)
>>
>> Now these commands
>>
>> $ git checkout -- clientgui/AsyncRPC.cpp
>> $ git checkout -- clientgui/sg_BoincSimpleFrame.cpp
>>
>> doesn't help - the status is still the same (and ofc now I'm no longer
>> allowed to make a "git checkout" - due to un-commited changes).
>>
>> Now I'm wondering where to start to investigate this issue ...
> 
> Hi Toralf,
> 
> That does look like a weird issue. What operating system are you on?

I'm running a stable Gentoo Linux x86, 32bit with gcc 4.6.3 and current
stable kernel 3.6.1x and 3.7.1, file system is ext4 at an external USB
2.0 drive.

FWIW from the boinc maintainer I know that all tags till 7.0.3X are
imported from svn.

I upgraded to git 1.8.0.2 from 1.7.8.6 - situation is the same. The
emerge gave :

failed test(s): t3600 t7508

fixed   0
success 8342
failed  8
broken  56
total   8528

Ok, now answering your other questions:

$> git stash
warning: CRLF will be replaced by LF in clientgui/AsyncRPC.cpp.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in clientgui/sg_BoincSimpleFrame.cpp.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in clientgui/AsyncRPC.cpp.
The file will have its original line endings in your working directory.
warning: CRLF will be replaced by LF in clientgui/sg_BoincSimpleFrame.cpp.
The file will have its original line endings in your working directory.
Saved working directory and index state WIP on master: 4a296dc - client
simulator: fix build errors
HEAD is now at 4a296dc - client simulator: fix build errors

After that the situation is unchanged.

> What happens if you do a hard reset to the branch?

$> git reset --hard HEAD~1

not better.

> What is the ouptut of git diff --cached ?

The output is empty but "git status" shows still modified files.

FWIW there's a related issue I'm wondering about which might help:

$> git clone git://boinc.berkeley.edu/boinc.git
$> tar -cpf boinc.tar boinc/
$> rm -rf boinc/
$> tar -xpf boinc.tar
$> cd boinc/
$> git status
# On branch master
# Changes not staged for commit:
#   (use "git add <file>..." to update what will be committed)
#   (use "git checkout -- <file>..." to discard changes in working
directory)
#
#       modified:   client/win/boinc_log.h
#       modified:   client/win/boinc_log.rc
#       modified:   clientctrl/boincsvcctrl.cpp
#       modified:   clientctrl/boincsvcctrl.h
#       modified:   clientctrl/boincsvcctrl.rc
#       modified:   clientgui/AsyncRPC.cpp
#       modified:   clientgui/DlgEventLog.cpp
#       modified:   clientgui/DlgEventLog.h
#       modified:   clientgui/DlgEventLogListCtrl.cpp
#       modified:   clientgui/DlgEventLogListCtrl.h
#       modified:   clientgui/DlgExitMessage.h
#       modified:   clientgui/DlgItemProperties.h
#       modified:   clientgui/TermsOfUsePage.cpp
#       modified:   clientgui/TermsOfUsePage.h
#       modified:   clientgui/ViewNotices.cpp
#       modified:   clientgui/ViewNotices.h
#       modified:   clientgui/sg_BoincSimpleFrame.cpp
#       modified:   clientscr/boinc_ss_opengl.h
#       modified:   clientscr/boinc_ss_opengl.rc
#       modified:   clientscr/screensaver.cpp
#       modified:   clienttray/boinc_tray.h
#       modified:   clienttray/boinc_tray.rc
#       modified:   clienttray/tray_win.cpp
#       modified:   clienttray/tray_win.h
#       modified:   coprocs/NVIDIA/include/nvapi.h
#
no changes added to commit (use "git add" and/or "git commit -a")
$> git diff --cached
$>

Meaning, w/o any other interaction a tar'ed archive has modified files -
and the diff is empty...

-- 
MfG/Sincerely
Toralf Förster
pgp finger print: 7B1A 07F4 EC82 0F90 D4C2 8936 872A E508 7DB6 9DA3